package info.cobaltduck.model;

/**
 * 
 * @author Wade J. Love
 *
 * Primary model class, subclassed by the various size/type categories.
 * Holds name, calendar age, and calculates classic seven-to-age age;
 */

public class Pet {
	
	protected String name;
	protected int calendarAge;
	protected int classicAge;
	protected int equivalentAge;
	
	// constants used in formulas
	public static final int CLASSIC_RATIO			= 7;
	public static final int LARGE_FIRST				= 16;
	public static final int SMALL_MED_CAT_FIRST		= 15;
	public static final int MED_LARGE_SECOND		= 10;
	public static final int SMALL_CAT_SECOND		= 9;
	public static final int SMALL_CAT_RATIO			= 4;
	public static final int MEDIUM_RATIO			= 5;
	public static final int LARGE_RATIO				= 6;
	
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public int getCalendarAge() {
		return calendarAge;
	}
	public void setCalendarAge(int calendarAge) {
		this.calendarAge = calendarAge;
	}
	
	public int getClassicAge() {
		classicAge = calendarAge * CLASSIC_RATIO;
		return classicAge;
	}
	
	// method to be overridden in sub-classes
	public int getEquivalentAge() {
		return 0;
	}
	
}
